Difficult to create blank MediaWiki message
Closed, ResolvedPublic

Description

It's intentionally difficult to create a blank page in MediaWiki, but it be done using "{{subst:ns:0}}" and similar tricks.

Given that the default behavior of MediaWiki messages has changed, blanking the messages (in order to disable their output) is now more difficult.

Basically, for default MediaWiki message, in order to blank it, you have to trick the site into accepting the edit, as it generally wants to reject such edits.


Version: 1.22.0
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=14176
https://bugzilla.wikimedia.org/show_bug.cgi?id=48935
https://bugzilla.wikimedia.org/show_bug.cgi?id=57238
https://bugzilla.wikimedia.org/show_bug.cgi?id=52223
https://bugzilla.wikimedia.org/show_bug.cgi?id=12647

bzimport set Reference to bz50124.
MZMcBride created this task.Via LegacyJun 24 2013, 7:25 PM
Nemo_bis added a comment.Via ConduitJun 24 2013, 7:28 PM

Blanking messages is not basically useless, it no longer restores the default. It has less use cases than before, which reduces priority.

MZMcBride added a comment.Via ConduitJun 24 2013, 8:18 PM

(In reply to comment #1)

Blanking messages is not basically useless, it no longer restores the
default. It has less use cases than before, which reduces priority.

I'm not sure what you're saying here.

If you have any default MediaWiki message and you try to edit the page, blank its contents, and save the page, it won't work.

duplicatebug added a comment.Via ConduitJun 25 2013, 7:41 PM

That is right, because mediawiki rejects creation of empty pages. For system messages with a default value, this should be allowed, because the edit page already preloaded that text.

Parent5446 added a comment.Via ConduitJun 26 2013, 11:35 PM

I don't have time to fix this atm, but for the record the code for stopping blank pages from being saved is in EditPage.php:1498.

gerritbot added a comment.Via ConduitJul 1 2013, 11:37 AM

Change 71332 had a related patch set uploaded by Matmarex:
Allow creation of empty MediaWiki: pages

https://gerrit.wikimedia.org/r/71332

matmarex added a comment.Via ConduitJul 1 2013, 11:39 AM

Thanks Tyler, surgical strike change applied in the change above.

gerritbot added a comment.Via ConduitJul 2 2013, 5:01 PM

Change 71332 merged by Brion VIBBER:
Allow creation of empty MediaWiki: pages

https://gerrit.wikimedia.org/r/71332

matmarex added a comment.Via ConduitJul 2 2013, 5:05 PM

That should make it fixed.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.